[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| CompleteOOBInfo [Machine Learning] |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for CompleteOOBInfo:

List of all members.

## Public Member Functions
void | save (std::string filen, std::string pathn)
template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_end (RF &rf, PR &pr)
## Public Attributes
MultiArray< 2, double > | breiman_per_tree
double | oob_breiman
double | oob_mean
MultiArray< 2, double > | oob_per_tree
double | oob_per_tree2
double | oob_std
MultiArray< 4, double > | oobroc_per_tree

## Detailed Description

Visitor that calculates different OOB error statistics

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)